(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ubuffer.mli,v 1.12 2014/02/21 20:24:07 fclement Exp $ *)

(** {3 More buffer operations} *)

val flush_buffer : out_channel -> Buffer.t -> unit;;

val flush_buffer_on_stdout : Buffer.t -> unit;;
val flush_buffer_on_stderr : Buffer.t -> unit;;
val flush_buffer_on_file : open_flag Ulist.t -> string -> Buffer.t -> unit;;
