(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: usubarray.mli,v 1.5 2014/01/10 15:28:04 fclement Exp $ *)

(** {3 Subarray operations} *)

open Usubarray_types;;

val fold_left : ('accu -> 'a -> 'accu) -> 'accu -> 'a t -> 'accu;;

val fold_left_i : ('accu -> index -> 'a -> 'accu) -> 'accu -> 'a t -> 'accu;;

val find : ('a -> bool) -> 'a t -> 'a;;

val find_all : ('a -> bool) -> 'a t -> 'a list;;
